CGAL 6.2 - 2D Circular Geometry Kernel: Geometric Global Functions

CGAL 6.2 - 2D Circular Geometry Kernel

Loading...
Searching...
No Matches
Functions
Geometric Global Functions
Reference Manual

##

## Functions
bool | CGAL::has_in_x_range (const Circular_arc_2< CircularKernel > &ca, const Circular_arc_point_2< CircularKernel > &p)
| Checks whether the point lies in the vertical range defined by the arc.
bool | CGAL::has_in_x_range (const Line_arc_2< CircularKernel > &ca, const Circular_arc_point_2< CircularKernel > &p)
| Checks whether the point lies in the vertical range defined by the line segment.
bool | CGAL::has_on (const Circle_2< CircularKernel > &c, const Circular_arc_point_2< CircularKernel > &p)
| Checks whether the point lies on the circle.
template<class OutputIterator >
OutputIterator | CGAL::make_x_monotone (const Circular_arc_2< CircularKernel > &ca, OutputIterator res)
| Copies in the output iterator the `x`-monotone sub-arcs of `ca`.
template<class OutputIterator >
OutputIterator | CGAL::make_xy_monotone (const Circular_arc_2< CircularKernel > &ca, OutputIterator res)
| Copies in the output iterator the `xy`-monotone sub-arcs of `ca`.
Circular_arc_point_2< CircularKernel > | CGAL::x_extremal_point (const Circle_2< CircularKernel > &c, bool b)
| Returns the leftmost (resp. rightmost) point of the circle if `b` is `true` (resp. `false`).
template<class OutputIterator >
OutputIterator | CGAL::x_extremal_points (const Circle_2< CircularKernel > &c, OutputIterator res)
| Copies in the output iterator the `x`-extremal points of the circle.
Circular_arc_point_2< CircularKernel > | CGAL::y_extremal_point (const Circle_2< CircularKernel > &c, bool b)
| Returns the bottommost (resp. topmost) point of the circle if `b` is `true` (resp. `false`).
template<class OutputIterator >
OutputIterator | CGAL::y_extremal_points (const Circle_2< CircularKernel > &c, OutputIterator res)
| Copies in the output iterator the `y`-extremal points of the circle.
CGAL::Comparison_result | CGAL::compare_y_to_right (const Circular_arc_2< CircularKernel > &ca1, const Circular_arc_2< CircularKernel > &ca2, Circular_arc_point_2< CircularKernel > &p)
| Compares vertically the two arcs, to the right of the point `p`,.

## Function Documentation

## ◆ compare_y_to_right()

CGAL::Comparison_result CGAL::compare_y_to_right | ( | const Circular_arc_2< CircularKernel > & | ca1,
|  | const Circular_arc_2< CircularKernel > & | ca2,
|  | Circular_arc_point_2< CircularKernel > & | p
| ) |  |

`#include <CGAL/global_functions_circular_kernel_2.h>`

Compares vertically the two arcs, to the right of the point `p`,.

Precondition
  `p` is an intersection point of the arcs, and the arcs are defined to the right of `p`.

## ◆ x_extremal_points()

template<class OutputIterator >

OutputIterator CGAL::x_extremal_points | ( | const Circle_2< CircularKernel > & | c,
|  | OutputIterator | res
| ) |  |

`#include <CGAL/global_functions_circular_kernel_2.h>`

Copies in the output iterator the `x`-extremal points of the circle.

`res` iterates on elements of type `Circular_arc_point_2<CircularKernel>`, sorted in `x`.

## ◆ y_extremal_points()

template<class OutputIterator >

OutputIterator CGAL::y_extremal_points | ( | const Circle_2< CircularKernel > & | c,
|  | OutputIterator | res
| ) |  |

`#include <CGAL/global_functions_circular_kernel_2.h>`

Copies in the output iterator the `y`-extremal points of the circle.

`res` iterates on elements of type `Circular_arc_point_2<CircularKernel>`, sorted in `y`.